Cyberduck Mountain Duck CLI

#5999 new enhancement

Provide breadcrumbs to navigate path in browser

Reported by: klonos Owned by: yla
Priority: low Milestone:
Component: interface Version: 6.4.6
Severity: normal Keywords: breadcrumbs folders navigation
Cc: send2adtc@… Architecture:
Platform: Windows 10

Description

Another WinSCP-using newcomer suggestion. Most of Windows (7/Vista) users are used to having the path displayed in a breadcrumb style so they can be able to click in each part of it to navigate up/down the folder structure. WinSCP provides that, websites too, the locationbar firefox addon three:

https://addons.mozilla.org/en-us/firefox/addon/locationbar%C2%B2/

I guess it is widely accepted as a really user-friendly feature. Besides, the user has to click only once this way rather than two the way it is now.

Thanx for considering this one.

Change History (11)

comment:1 Changed on Jun 9, 2011 at 6:10:02 AM by yla

  • Milestone set to 4.2
  • Version Nightly Build deleted

comment:2 Changed on Jun 21, 2011 at 4:30:38 PM by bali50

Ditto this. Hope to see this as an option one day.

comment:3 Changed on Nov 18, 2011 at 9:58:23 AM by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:4 Changed on Mar 23, 2013 at 7:32:02 PM by dkocher

  • Milestone 4.4 deleted

comment:5 Changed on Sep 11, 2013 at 3:07:21 PM by dkocher

  • Owner changed from dkocher to yla

comment:6 Changed on Apr 9, 2014 at 1:18:09 PM by dkocher

  • Priority changed from normal to low
  • Version set to 4.4.3

comment:7 Changed on Apr 9, 2014 at 1:18:35 PM by dkocher

  • Summary changed from Provide breadcrumbs instead of path drop-down selector when navigating to Provide breadcrumbs to navigate path in browser

comment:8 Changed on Jun 18, 2014 at 10:09:51 AM by dkocher

#8036 closed as duplicate.

comment:9 Changed on Feb 7, 2015 at 1:50:40 PM by dkocher

#8540 closed as duplicate.

comment:10 Changed on Nov 26, 2015 at 9:08:50 PM by dkocher

#9122 closed as duplicate.

comment:11 Changed on Apr 28, 2018 at 5:58:46 AM by adtc7

  • Cc send2adtc@… added
  • Keywords folders navigation added
  • Platform changed from Windows 7 to Windows 10
  • Version changed from 4.4.3 to 6.4.6

Would have been great if Trac had a voting system. I +1 this.

I think the Windows Explorer breadcrumb is done right. Click on any ancestor and it navigates there. Click the arrow next to any folder name and it shows a drop-down of its children. When you click on the empty space in it, it transforms into a textbox with the path selected for quick copying (also the breadcrumb has a handy right-click menu to copy the path without transforming). It would be great if Cyberduck navigation bar is a breadcrumb like that.

When you click the down arrow on the Explorer breadcrumb, it lists some sort of intelli-history. I don't know how that works, it shows parts of my navigation history probably based on some heuristics. But I don't expect that! I'd be happy if Cyberduck can just show the full history on drop-down of breadcrumb.

Note: See TracTickets for help on using tickets.
swiss made software